Bug 23279 - In news management interface, sort news by publication date descending
Summary: In news management interface, sort news by publication date descending
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-08 16:05 UTC by Owen Leonard
Modified: 2019-08-06 14:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23279: In news management interface, sort news by publication date descending (3.26 KB, patch)
2019-07-08 16:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23279: In news management interface, sort news by publication date descending (3.31 KB, patch)
2019-07-12 13:05 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 23279: In news management interface, sort news by publication date descending (3.37 KB, patch)
2019-07-12 19:40 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23279: In news management interface, sort news by publication date descending (3.48 KB, patch)
2019-07-19 09:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-08 16:05:36 UTC
Right now in Tools -> News the table of news items is sorting by default on the first column because no specific column is configured in the DataTable initialization. Rather than sorting on the first column (a column of checkboxes) I think it should sort on publication date descending.
Comment 1 Owen Leonard 2019-07-08 16:15:56 UTC
Created attachment 91410 [details] [review]
Bug 23279: In news management interface, sort news by publication date descending

This patch makes a few changes to the configuration of the DataTable
showing news items in the staff client. It adds a default sort on
"Publication date," descending; It updates the way non-sortable columns
are configured; It modifies sorting on the title and content columns so
that articles are ignored.

To test, apply the patch and go to Tools -> News.

 - When the page loads the table of news items should sort by default on
   publication date, descending.
 - There should be no sorting indicator on the first and last columns.
 - When sorting the "Title" or "News" columns, articles "A," "An," and
   "The" should be ignored.
Comment 2 Claire Gravely 2019-07-12 13:05:47 UTC
Created attachment 91485 [details] [review]
Bug 23279: In news management interface, sort news by publication date descending

This patch makes a few changes to the configuration of the DataTable
showing news items in the staff client. It adds a default sort on
"Publication date," descending; It updates the way non-sortable columns
are configured; It modifies sorting on the title and content columns so
that articles are ignored.

To test, apply the patch and go to Tools -> News.

 - When the page loads the table of news items should sort by default on
   publication date, descending.
 - There should be no sorting indicator on the first and last columns.
 - When sorting the "Title" or "News" columns, articles "A," "An," and
   "The" should be ignored.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Frédérik Chénier 2019-07-12 19:40:31 UTC
Created attachment 91505 [details] [review]
Bug 23279: In news management interface, sort news by publication date descending

This patch makes a few changes to the configuration of the DataTable
showing news items in the staff client. It adds a default sort on
"Publication date," descending; It updates the way non-sortable columns
are configured; It modifies sorting on the title and content columns so
that articles are ignored.

To test, apply the patch and go to Tools -> News.

 - When the page loads the table of news items should sort by default on
   publication date, descending.
 - There should be no sorting indicator on the first and last columns.
 - When sorting the "Title" or "News" columns, articles "A," "An," and
   "The" should be ignored.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 4 Marcel de Rooy 2019-07-19 09:42:05 UTC
Created attachment 91624 [details] [review]
Bug 23279: In news management interface, sort news by publication date descending

This patch makes a few changes to the configuration of the DataTable
showing news items in the staff client. It adds a default sort on
"Publication date," descending; It updates the way non-sortable columns
are configured; It modifies sorting on the title and content columns so
that articles are ignored.

To test, apply the patch and go to Tools -> News.

 - When the page loads the table of news items should sort by default on
   publication date, descending.
 - There should be no sorting indicator on the first and last columns.
 - When sorting the "Title" or "News" columns, articles "A," "An," and
   "The" should be ignored.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Martin Renvoize 2019-07-19 13:08:02 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-08-06 14:41:43 UTC
Enhancement not pushed to 19.05.x